app:
  auth:
    user: false
    group: true
  login:
    attempt-lock: 5
  upload:
    max-size: 20_971_520 # 20mb
  mobile:
    auth-header:
      deviceId: X-ATT-DeviceId
      accessToken: X-ATT-Access-Token

spring:
  freemarker:
    charset: UTF-8
    template-loader-path: classpath:/templates/
    settings:
      number_format: ",##0.00"
  mvc:
    static-path-pattern: /static/**
  web:
    resources:
      static-locations: classpath:/static/

  messages:
    basename: i18n/messages
    use-code-as-default-message: true
    fallback-to-system-locale: false

  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
  jpa:
    hibernate:
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
    database-platform: org.hibernate.dialect.MySQL8Dialect
    properties:
      hibernate:
        dialect:
          storage_engine: innodb
  jackson:
    time-zone: GMT+8
  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 100MB
  main:
    allow-bean-definition-overriding: true
